* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: -apple-system-font, BlinkMacSystemFont, "Helvetica Neue", "PingFang SC", "Hiragino Sans GB", "Microsoft YaHei UI", "Microsoft YaHei", Arial, sans-serif;
  /* -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none; */
  -webkit-tap-highlight-color: transparent;
  outline: none;
}


[contenteditable="true"],
input,
textarea {
  -webkit-user-select: auto !important;
  -khtml-user-select: auto !important;
  -moz-user-select: auto !important;
  -ms-user-select: auto !important;
  -o-user-select: auto !important;
  user-select: auto !important;
}


[v-cloak] {
  display: none !important;
}


.fade-enter-active,
.fade-leave-active {
  transition: all 2s;
}


.fade-enter,
.fade-leave-to {
  opacity: 0;
}


html,
body {
  width: 100%;
  height: 100%;
  overflow: hidden;
  /* position: fixed; */
  background-color: #fff;
}


#app,
#pano {
  width: 100%;
  height: 100%;
  overflow: hidden;
  /* -webkit-overflow-scrolling: touch; */
}

#app>.loading {
  position: absolute;
  width: 100px;
  height: 100px;
  z-index: 99;
  left: 50%;
  top: 45%;
  transform: translate(-50%, -50%);
}

#app>.loading>figure {
  position: absolute;
  margin: auto;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 6.250em;
  height: 6.250em;
  animation: rotate 2.4s linear infinite;
  z-index: 99;
}

#app>.loading>figure>.white {
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: white;
  animation: flash 2.4s linear infinite;
  opacity: 0;
}

#app>.loading>figure>.dot {
  position: absolute;
  margin: auto;
  width: 2.4em;
  height: 2.4em;
  border-radius: 100%;
  transition: all 1s ease;
}

#app>.loading>figure>.dot:nth-child(2) {
  top: 0;
  bottom: 0;
  left: 0;
  background: #FF4444;
  animation: dotsY 2.4s linear infinite;
}

#app>.loading>figure>.dot:nth-child(3) {
  left: 0;
  right: 0;
  top: 0;
  background: #FFBB33;
  animation: dotsX 2.4s linear infinite;
}

#app>.loading>figure>.dot:nth-child(4) {
  top: 0;
  bottom: 0;
  right: 0;
  background: #99CC00;
  animation: dotsY 2.4s linear infinite;
}

#app>.loading>figure>.dot:nth-child(5) {
  left: 0;
  right: 0;
  bottom: 0;
  background: #33B5E5;
  animation: dotsX 2.4s linear infinite;
}

@keyframes rotate {
  0% {
    transform: rotate(0);
  }

  10% {
    width: 6.250em;
    height: 6.250em;
  }

  66% {
    width: 2.4em;
    height: 2.4em;
  }

  100% {
    transform: rotate(360deg);
    width: 6.250em;
    height: 6.250em;
  }
}

@keyframes dotsY {
  66% {
    opacity: .1;
    width: 2.4em;
  }

  77% {
    opacity: 1;
    width: 0;
  }
}

@keyframes dotsX {
  66% {
    opacity: .1;
    height: 2.4em;
  }

  77% {
    opacity: 1;
    height: 0;
  }
}



#pano>.top_tips {
  /* width: 100%; */
  min-width: 150px;
  padding-right: 10px;
  height: 30px;
  background-color: rgba(0, 0, 0, 0.404);
  position: absolute;
  top: 10px;
  left: -100%;
  z-index: 9;
  transition: all 0.5s ease-in;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  border-radius: 5px;
}

#pano>.top_tips.active {
  left: 10px;
}

#pano>.top_tips>.logo {
  width: 30px;
  height: 30px;
  /* border-radius: 50%; */
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  background-image: url(../img/logo.png);
  /* background-color: #0000004a; */
  margin: 0 5px;
}

#pano>.top_tips>p {
  font-size: 9px;
  color: #e8eaec;
}

#pano>.top_tips>p>span {
  font-size: 10px;
  color: #f8f8f9;
}


#pano>.thumbs_box {
  width: 100vw;
  height: 0;
  position: absolute;
  bottom: 20px;
  z-index: 9;
  background-color: rgba(0, 0, 0, 0.692);
  transition: none;
}

#pano>.thumbs_box>.open_close {
  width: 30px;
  height: 20px;
  background-color: rgba(0, 0, 0, 0.692);
  position: absolute;
  right: 10px;
  top: -20px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  transition: all 0.3s ease-in;
  /* transition-delay: 0.5s; */
  transform: rotate(0);
  background-image: url(../img/up.png);
}

#pano>.thumbs_box>.open_close.active {
  transform: rotate(180deg);
}

#pano>.thumbs_box.active {
  height: calc(5vh + 40px);
  padding: 5px 0;
  transition: all 0.5s ease-in;
  transition-delay: 0.5s;
}

#pano>.thumbs_box.active.fringe {
  bottom: 70px;
}


#pano>.thumbs_box>.swiper-wrapper>.thumb_item {
  height: 100%;
  /* background-color: aqua; */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 10px;
  overflow: hidden;
}

#pano>.thumbs_box>.swiper-wrapper>.thumb_item>.thumb_text {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 20px;
  background-color: rgba(0, 0, 0, 0.4);
  font-size: 10px;
  color: #f8f8f9;
  text-align: center;
  line-height: 20px;
}

#pano>.thumbs_box>.swiper-wrapper>.thumb_item>.thumb_text.active {
  background-image: linear-gradient(135deg, #a23d9f 10%, #a259a0 100%);
}


#pano>.ctl_bar {
  width: 100%;
  height: 0;
  background-color: rgba(0, 0, 0, 0.692);
  position: absolute;
  bottom: 0;
  z-index: 9;
  transition: all 0.5s ease-in;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

#pano>.ctl_bar.fringe.active {
  height: 70px;
  padding-bottom: 10px;
}

#pano>.ctl_bar.active {
  height: 60px;
  padding-bottom: 10px;
}

#pano>.ctl_bar>.item {
  height: 100%;
  display: flex;
  min-width: 22vw;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  flex-shrink: 0;
  /* transition: all 0.5; */
}

#pano>.ctl_bar>.item>.icon {
  width: 30px;
  height: 30px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  margin-bottom: 2px;
  opacity: 0.8;
  transition: all 0.2s;
  /* background-image: url(../img/icon/air.png); */
}

#pano>.ctl_bar>.item>.icon.active {
  transform: scale(1.1);
}

#pano>.ctl_bar>.item>p {
  font-size: 8px;
  text-align: center;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  color: #f8f8f95d;
}

#pano>.ctl_bar>.item>p.active {
  color: #f8f8f9;
}


#pano>.sidebar {
  width: 30px;
  /* background-color: #3b3d3d; */
  position: absolute;
  top: 15px;
  right: -100%;
  z-index: 9;
  transition: all 1.5s;
  transition-delay: 0s;
}

#pano>.sidebar.ipad.active {
  transition-delay: 3s;
}

#pano>.sidebar.active {
  right: 10px;
  transition-delay: 0.5s;
}

#pano>.sidebar>.sidebar_item {
  width: 30px;
  height: 30px;
  background-color: rgba(0, 0, 0, 0.5);
  box-shadow: 1px 1px 0 #70441f;
  border-radius: 50%;
  background-position: center;
  background-repeat: no-repeat;
  background-size: 60%;
  margin-bottom: 15px;
}

#pano>.sidebar>.sidebar_item.index {
  background-image: url(../img/icon/index.png);
}

#pano>.sidebar>.sidebar_item.music {
  background-image: url(../img/icon/music.png);
}

#pano>.sidebar>.sidebar_item.music.playing {
  animation: rotate_gif 5s linear infinite;
}

@keyframes rotate_gif {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

#pano>.sidebar>.sidebar_item.tel {
  background-image: url(../img/icon/tel.png);
}

#pano>.sidebar>.sidebar_item.gyro {
  background-image: url(../img/icon/gyro.png);
}

#pano>.sidebar>.sidebar_item.way {
  background-image: url(../img/icon/way.png);
}

#pano>.sidebar>.sidebar_item.wechat {
  background-image: url(../img/icon/wechat.png);
}

.content {
  width: 100vw;
  height: calc(100 * 0.5625vw);
  max-height: 80vh;
}